Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2991 - Bug with fs/select.c
Summary: Bug with fs/select.c
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-24 00:50 UTC by kumarsri
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-02 22:11:35 UTC


Attachments (Terms of Use)

Description kumarsri 1999-05-24 00:50:19 UTC
There is a bug with fs/select.c which break the
Informix database (7.30UC2) on Redhat 6 (as well as other
2.2. kernels).

They have changed sys_select considerably and probably
did not know that some programs depend heavily on it -
cannot return errors when there were none before without
checking!

Here's the code:

Search for the function
sys_select
and look for the lines:
 if (n < 0 || n > KFDS_NR)
        goto out_nofds;

This breaks Informix as it passes n as 4096 while
NR_OPEN is 1024!

Please assist in fixing this. Changing NR_OPEN in
linux.h from 1024 to 5120 etc. does more damage!
You cannot mount cdroms etc. after that.

Thanks
/Kumar

Comment 1 kumarsri 1999-05-24 23:45:59 UTC
Fixed - the problem was with Redhat 5.2 and Caldera OpenLinux 2.2

Redhat 6.0 - it's fixed already.

Sorry for the noise!
/Kumar

Comment 2 Cristian Gafton 1999-07-02 22:11:59 UTC
Bug closed (it seems that it is already fixed)


Note You need to log in before you can comment on or make changes to this bug.